#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.8
visibility:           public
id:                   hOpenPGP-2.9.8-HIDE8IqkzbX9pt4BuZgRtk
key:                  hOpenPGP-2.9.8-HIDE8IqkzbX9pt4BuZgRtk
license:              MIT
copyright:            2012-2022  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  4fb7cb62816641f3f272f5f2d317127d
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hOpenPGP-2.9.8
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hOpenPGP-2.9.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.9.8-HIDE8IqkzbX9pt4BuZgRtk
depends:
    aeson-2.1.2.1-GLiPeiAR7ZSFwx9H49aVEA
    asn1-encoding-0.9.6-FcrLQyuBErx9Mp9LnC4HFp
    attoparsec-0.14.4-K2NonRChA499lXmUebatlk base-4.16.4.0
    base16-bytestring-1.0.2.0-6hSv34vJ6ohK7RPuedEiA
    bifunctors-5.6-fmzH9HyrPsHAevO1WM14A binary-0.8.9.0
    binary-conduit-1.3.1-z3vvrFvO8MKHDu23TYBTW bytestring-0.11.4.0
    bz2-1.0.1.1-93h64dLBhdbLeNQxhM76vo
    conduit-1.3.6-ITaJCDyfp5cDfMMsLf8jTY
    conduit-extra-1.3.6-7cOngLJQ86324FKmW3fOja containers-0.6.5.1
    crypto-cipher-types-0.0.9-JlEUy6YMnlQJGxVQmgyp8z
    cryptonite-0.30-HZCyAPcykYlJq8aNFFA6J6
    errors-2.3.0-CE6NELhB2sPCwPviW5TDhj
    hashable-1.4.4.0-LbPl9rwTnDUL4mxyCHHqh0
    incremental-parser-0.5.1-8MmqBbfJtIiGQR0DsQVxtj
    ixset-typed-0.5.1.0-1ZZlx1VPCI758SYg6tDWQC
    lens-5.2.3-73GsVHKL59ZCRbUuAUvU77
    memory-0.18.0-Hvum6HaH78UJG59LYyNLK1
    monad-loops-0.4.3-1PoLx7GFY2f6JjKzBe0o6E
    nettle-0.3.1.1-IesfSaYKwdg21K60p9ny7B
    network-uri-2.6.4.2-CYXoeKD4u6J1uAnZu0mkqk
    openpgp-asciiarmor-0.1.2-HwWUspnzEsoIEs4C0vDBq7
    prettyprinter-1.7.1-7x8ULV7tlRe3aOwpDSy6yg
    resourcet-1.2.6-E5mNqm21rnVD9a20HIq84b
    split-0.2.5-1ZxzpQu4N6MJreBZLkb7G2 text-1.2.5.0 time-1.11.1.1
    time-locale-compat-0.1.1.5-LoE3V3We7KBAnFwKjT98C2
    transformers-0.5.6.2 unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-4Y4A6Wn35BzvWquDAxs4Y
    zlib-0.6.3.0-97o0TmiaM07EQZKApzmzV

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

